using Exferia_Aplicacion.General;
using System.Collections.Generic;
using Exferia_Aplicacion.Modelos_Listado_Filtros;
using Exferia_KairosPRO._1_Modelos;
using Exferia_KairosPRO.General;
using Exferia_General;

namespace Exferia_KairosPRO._4_Vistas.Listados
{
    public class ABS_Listado_KRS_HorasExtrasLineas : ABS_Listado
    {
        private Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo = new Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo>();

        //Constructor
        public ABS_Listado_KRS_HorasExtrasLineas()
        {
            Rellenar_Columnas();
        }

        private void Rellenar_Columnas()
        {
            //id
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.id), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.id), "id", Enumerados.G_ENUM_TIPOSDATOS.LONG, true, 0, false, false, false, false, "", null));

            //Tipo_Texto
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.Tipo_Texto), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.Tipo_Texto), "Tipo", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 150, true, true, true, false, "", null));

            //HorasCalculada_Texto
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.HorasCalculada_Texto), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.HorasCalculada_Texto), "Calculo", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 200, true, true, true, false, "", null));

            //HoraInicio
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.horaInicio), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.horaInicio), "Hora inicio", Enumerados.G_ENUM_TIPOSDATOS.HORASIMPLE, false, 100, true, false, true, false, "", null));

            //HoraFin
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.horaFin), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.horaFin), "Hora Fin", Enumerados.G_ENUM_TIPOSDATOS.HORASIMPLE, false, 100, true, false, true, false, "", null));

            //ordenAplicacion
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.ordenAplicacion), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.ordenAplicacion), "orden", Enumerados.G_ENUM_TIPOSDATOS.INT, false, 100, true, true, true, false, "", null));
        }

        public override List<dynamic> LISTADO()
        {
            return Registros;
        }

        public override INTERNO_OpcionesDetalle_Modelo DATOS_OPCION()
        {
            return Datos_Generales.PRV_Opciones_Buscar_Detalles(Variables.G_STR_OPCION_KRS_HORASEXTRASLINEA);
        }

        public override string NOMBRELISTADO_ALMACENARCONFIGURACION()
        {
            return Variables.G_STR_OPCION_KRS_HORASEXTRASLINEA;
        }

        public override Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> LISTADO_COLUMNAS()
        {
            return g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo;
        }

        public override string ORDENACION_NOMBRECOLUMNA_PORDEFECTO()
        {
            return nameof(INTERNO_KRS_HorasExtrasLineas_Listado_Modelo.Tipo_Texto);
        }

        public override string ORDENACION_TIPO_PORDEFECTO()
        {
            return "0";
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_7()
        {
            return null;
        }

        public override List<INTERNO_ArbolSecundarioSeleccion_Modelo> LISTADO_ARBOLSECUNDARIOSELECCION()
        {
            return null;
        }

        public override List<INTERNO_Listado_Paginado_Filtro_Modelo> FILTRADO_PARAPAGINADO()
        {
            return null;
        }

        public override List<string> LISTADOCAMPOS_ENVIAR_A_MANTENIMIENTO()
        {
            return null;
        }
    }
}
